<?php
require("../../inc/lib.inc");
require("../serverStatusImprove/function.inc");

$global_id=0;
function AssignID()
{
	global $global_id;
	
	$id="ID_{$global_id}";
	$global_id++;
	return $id;
}

if(0)
{
	echo "platID=$platID,subSysNo=$subSysNo";
}

$config=parse_ini_file("config.ini",true);
$config_count=sizeof($config);


$platDetailInfo=GetDetailPlatInfo($sysNo,$subSysNo,3);

//version
$id=AssignID();
$total_response.="$id,block,{$platDetailInfo[TCAP][Version][Value]},#0000FF;";

//Status
$id=AssignID();
$total_response.="$id,block,{$platDetailInfo[TCAP][Status][Value]},{$platDetailInfo[TCAP][Status][Color]};";

//RefreshTime
$id=AssignID();
$total_response.="$id,block,{$platDetailInfo[RefreshTime][Value]},#0000FF;";

//port

if(strcmp($platDetailInfo[TCAP][Status][Value],"--"))
	{
    
   $id=AssignID();
   $total_response.="$id,block,{$platDetailInfo[TCAP][CurrentUsedDialogueID][Value]},{$platDetailInfo[TCAP][CurrentUsedDialogueID][Color]};";
  
   $id=AssignID();
   $total_response.="$id,block,{$platDetailInfo[TCAP][MaxUsedDialogueID][Value]},{$platDetailInfo[TCAP][MaxUsedDialogueID][Color]};";
  
  }
  else
  {
    $id=AssignID();
   $total_response.="$id,block,--,#000000;";
  
   $id=AssignID();
   $total_response.="$id,block,--,#000000;";  
  }
echo "$total_response";
?>

